Subject: Re: [alto] WGLC for draft-ietf-alto-cost-mode-00

From: Qin Wu <[email-masked]>
Date: Mon, 11 Apr 2022 05:00:47 +0000

I think we have two options:

1.       Report as a new Errata, not necessarily incorporated into draft-ietf-alto-cost-mode-00

2.       Fix this altogether in draft-ietf-alto-cost-mode-00
Let’s hear what other say about this.

-Qin
发件人: Qiao Xiang [mailto:[email-masked]]
发送时间: 2022年4月11日 9:17
收件人: [email-masked]
抄送: Qin Wu <[email-masked]>; [email-masked]
主题: Re: Re: [alto] WGLC for draft-ietf-alto-cost-mode-00

Cool. Then it seems we should update RFC7285 to be consistent with unicode.org<http://unicode.org> and other RFCs. What do you think, Qin?

Best
Qiao

On Mon, Apr 11, 2022 at 8:19 AM <[email-masked]<mailto:[email-masked]>> wrote:

Hi Qin, Qiao and all,

I searched for a few documents and it seems that many documents are referring to U+002D as hyphen-minus. It seems to me that we should use hyphen-minus.

https://datatracker.ietf.org/doc/html/rfc3490

https://datatracker.ietf.org/doc/html/rfc5890

https://datatracker.ietf.org/doc/html/rfc8551

https://datatracker.ietf.org/doc/html/rfc8771

Best,

Kai

-----Original Messages-----
From:"Qin Wu" <bill.wu=[email-masked]<mailto:[email-masked]>>
Sent Time:2022-04-10 19:21:05 (Sunday)
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "Qiao Xiang" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [alto] WGLC for draft-ietf-alto-cost-mode-00
Hi, Kai and Qiao:
Is there any other RFCs which describe “hyphen” usages besides RFC7285?
Since this work is targeted to update RFC7285, there is a time window to improve RFC7285,
If “hyphen-minus” described in https://www.unicode.org/charts/PDF/U0000.pdf, is current best practice, I have no better reason to reject this request,:-)
The price is we should also update other sections related to cost metric and global endpoint properties with “hyphen” usage.

-Qin
发件人: alto [mailto:[email-masked]<mailto:[email-masked]>] 代表 [email-masked]<mailto:[email-masked]>
发送时间: 2022年4月10日 15:57
收件人: Qiao Xiang <[email-masked]<mailto:[email-masked]>>
抄送: [email-masked]<mailto:[email-masked]>
主题: Re: [alto] WGLC for draft-ietf-alto-cost-mode-00

Hi Qiao and all,

Thanks for reviewing the document.

In RFC 7285, "hyphen" is used when defining PID, cost metric, etc. One option is to use the term consistently with existing RFCs.

Best,

Kai

-----Original Messages-----
From:"Qiao Xiang" <[email-masked]<mailto:[email-masked]>>
Sent Time:2022-04-09 18:04:36 (Saturday)
To: [email-masked]<mailto:[email-masked]>
Cc:
Subject: Re: [alto] WGLC for draft-ietf-alto-cost-mode-00
Hi Kai and all,

I have read the document and support the proceeding of its publication with one tiny suggested edit:

Section 3.2: the hyphen ('-', U+002D) -> the hyphen-minus ('-', U+002D)

This is to be consistent with the official name of this character in https://www.unicode.org/charts/PDF/U0000.pdf.

Best
Qiao

On Sat, Apr 9, 2022 at 9:53 AM <[email-masked]<mailto:[email-masked]>> wrote:

Hi Jordi,

Thanks for reviewing the document!

Best,

Kai

-----Original Messages-----
From:"Jordi Ros Giralt" <[email-masked]<mailto:[email-masked]>>
Sent Time:2022-04-08 13:03:03 (Friday)
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc:
Subject: Re: [alto] WGLC for draft-ietf-alto-cost-mode-00
Hi Kai,

I read this document and I support proceeding with its publication.

Thank you,
Jordi

________________________________
From: alto <[email-masked]<mailto:[email-masked]>> on behalf of [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Sent: Friday, March 25, 2022 1:46
To: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Subject: [alto] WGLC for draft-ietf-alto-cost-mode-00

WARNING: This email originated from outside of Qualcomm. Please be wary of any links or attachments, and do not enable macros.

Hi all,

As discussed during the ALTO session in IETF 113, the ALTO cost mode document is now adopted as a working group document. A new WG version (draft-ietf-alto-cost-mode-00) [1] has been submitted to replace the individual draft and address comments from the Call for Adoption.

To move forward, this message starts the WGLC for draft-ietf-alto-cost-mode-00. The WGLC will run till April 8, 2022 (two weeks from now).

As both WG chairs are co-authoring the document, I’m taking care of this call as part of my document shepherding. We would like to have 2-3 reviewers from the working group. Please review and indicate your support or objection to proceed with the publication of this document.

Thanks!

[1] https://datatracker.ietf.org/doc/draft-ietf-alto-cost-mode/.

Best,
Kai
_______________________________________________
alto mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/alto
_______________________________________________
alto mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/alto

--
Qiao Xiang
Professor, Xiamen University

--
Qiao Xiang
Professor, Xiamen University